package cn.com.qmth.examcloud.core.oe.student.api.controller;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.api.commons.security.enums.RoleMeta;
import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.oe.student.service.TempConfigService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@Api(tags = "临时配置相关接口（待废弃）")
@RequestMapping("${app.api.oe.student}/temp/config")
public class TempConfigController extends ControllerSupport {

    @Autowired
    private TempConfigService tempConfigService;

    @PostMapping("/list")
    @ApiOperation(value = "获取-被禁用旧版本API的学校列表")
    public List<Long> getDisabledRootOrgIdsForOldApi() {
        return tempConfigService.getDisabledRootOrgIdsForOldApi();
    }

    @PostMapping("/update")
    @ApiOperation(value = "修改-被禁用旧版本API的学校列表")
    public void updateDisabledRootOrgIdsForOldApi(@RequestBody List<Long> rootOrgIds) {
        User accessUser = getAccessUser();
        if (!hasAnyRoles(accessUser, RoleMeta.SUPER_ADMIN, RoleMeta.ORG_ADMIN)) {
            throw new StatusException("500403", "没有数据操作权限！");
        }

        tempConfigService.updateDisabledRootOrgIdsForOldApi(rootOrgIds);
    }

}
