package cn.com.qmth.examcloud.core.oe.student.base.utils.excel;

/**
 * 
 * @Description: excel导入错误类型
 * @author ting.yin
 * @date 2016年8月19日
 */
public enum ExcelErrorType {

	NOT_CAMPUS("学习中心不存在"),

	NOT_EXAM_SITE("学习中心下的考点不存在"),
	
	EXAM_SITE_CODE("考点代码为空或格式错误,只能包含数字,英文字母"),
	
	EXAM_SITE_CODE_LENGTH("考点代码必须在1-15个字符"),
	
	EXAM_SITE_NAME_LENGTH("考点名称必须在1-50个字符"),
	
	CAMPUS_CODE("学习中心代码为空或格式错误,只能包含数字,英文字母"),
	
	CAMPUS_CODE_LENGTH("学习中心代码必须在1-15个字符"),
	
	CAMPUS_NAME_LENGTH("学习中心名必须在1-50个字符"),

	COURSE_CODE("课程代码格式错误,只能包含数字,英文字母"),

	SPECIALTY_CODE("专业代码格式错误,只能包含数字,英文字母"),
	
	ONLY_EXAM_NUMBER("准考证号重复"),
	
	STUDENT_NAME_NULL("考生姓名不能为空"),
	
	STUDENT_NAME_LENGTH("考生姓名必须在1-50个字符"),
	
	STUDENT_SEX_NULL("考生性别不能为空"),
	
	STUDENT_CODE_NULL("考生学号不能为空"),
	
	STUDENT_CODE_LENGTH("考生学号必须在6-15个字符"),
	
	CAMPUS_NAME_NULL("学习中心名称不能为空"),
	
	COURSE_NAME_NULL("课程名称不能为空"),
	
	COURSE_CODE_NULL("课程代码不能为空"),
	
	SPECIALTY_NAME_NULL("专业名称不能为空"),
	
	SPECIALTY_CODE_NULL("专业代码不能为空"),
	
	EXCEL_FORMAT_ERROR("Excel文件格式错误"),
	
	EXAM_SITE_NAME_NULL("考点名称不能为空"),
	
	GRADE_NULL("年级不能为空"),
	
	GRADE_FORMAT("年级必须是数字格式"),
	
	STUDENT_EXIST("已有相同考生学号，课程代码，批次的考生存在"),
	
	EXCEL_HYPERLINK_FORMAT_ERROR("Excel文件包含有超链接格式的文本"),
	
	STUDENT_NAME_CHECK("考生名称不能为空且长度在1-50个字符"),
	
	STUDENT_CODE_CHECK("考生学号不能为空且长度在6-15个字符"),
	
	STUDENT_GRADE_CHECK("年级不能为空且只能是数字格式"),
	
	CAMPUS_NAME_CHECK("学习中心名称不能为空且长度在1-50个字符"),
	
	CAMPUS_CODE_CHECK("学习中心代码不能为空且长度在1-15个字符且只能包含数字和英文字母"),
	
	COURSE_NAME_CHECK("课程名称不能为空且长度在1-50个字符"),
	
	COURSE_CODE_CHECK("课程代码不能为空且长度在1-15个字符且只能包含数字和英文字母"),
	
	SPECIALTY_NAME_CHECK("专业名称不能为空且长度在1-50个字符"),
	
	SPECIALTY_CODE_CHECK("专业代码不能为空且长度在1-15个字符且只能包含数字和英文字母")
	
	;
	
	
	
	
	private String name;

	public String getName() {
		return name;
	}

	private ExcelErrorType(String name) {
		this.name = name;
	}

}
