package cn.com.qmth.examcloud.core.oe.student.dao;

import cn.com.qmth.examcloud.core.oe.student.dao.entity.ExamCaptureEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Description 照片处理结果
 * @Author lideyin
 * @Date 2019/12/10 14:04
 * @Version 1.0
 */
@Repository
public interface ExamCaptureRepo extends JpaRepository<ExamCaptureEntity, Long>, JpaSpecificationExecutor<ExamCaptureEntity> {

    /**
     * propagation = Propagation.REQUIRES_NEW
     * 原因:A事务运行中，B事务插入数据，A事务会出现不能读取最新数据的问题
     *
     * @param examRecordDataId
     * @return
     */
    @Transactional(propagation = Propagation.REQUIRES_NEW)
    List<ExamCaptureEntity> findByExamRecordDataId(Long examRecordDataId);

    ExamCaptureEntity findByExamRecordDataIdAndFileName(Long examRecordDataId, String fileName);

}
