package cn.com.qmth.examcloud.core.oe.student.dao;

import cn.com.qmth.examcloud.core.oe.student.dao.entity.ExamContinuedRecordEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description 断点续考记录
 * @Author lideyin
 * @Date 2020/8/13 10:16
 * @Version 1.0
 */
@Repository
public interface ExamContinuedRecordRepo
        extends JpaRepository<ExamContinuedRecordEntity, Long>, JpaSpecificationExecutor<ExamContinuedRecordEntity> {
    /**
     * 获取考试记录下的所有断点续考记录
     *
     * @param examRecordDataId
     * @return
     */
    List<ExamContinuedRecordEntity> findByExamRecordDataId(Long examRecordDataId);

    /**
     * 查找最新的断点续考记录
     * @param examRecordDataId
     * @return
     */
    ExamContinuedRecordEntity findTopByExamRecordDataIdOrderByIdDesc(Long examRecordDataId);

}
