package cn.com.qmth.examcloud.core.oe.student.dao;

import cn.com.qmth.examcloud.core.oe.student.dao.entity.ExamFaceLivenessVerifyEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description 人脸活体检测
 * @Author lideyin
 * @Date 2019/12/9 18:00
 * @Version 1.0
 */
@Repository
public interface ExamFaceLivenessVerifyRepo extends JpaRepository<ExamFaceLivenessVerifyEntity, Long>, JpaSpecificationExecutor<ExamFaceLivenessVerifyEntity> {
    /**
     * 使用examRecordId查询
     * @param examRecordDataId
     * @return
     */
    @Query(nativeQuery = true, value = "select * from ec_oes_exam_face_liveness_verify t where t.exam_record_data_id = ?1 and t.is_error = 0 order by id asc")
    List<ExamFaceLivenessVerifyEntity> findByExamRecordDataIdOrderById(Long examRecordDataId);

    /**
     * 取出is_error=1的最新的一条
     * @param examRecordDataId
     * @return
     */
    @Query(nativeQuery = true, value = "select * from ec_oes_exam_face_liveness_verify t where t.exam_record_data_id = ?1 and t.is_error = 1 order by id desc limit 1")
    ExamFaceLivenessVerifyEntity findErrorFaceVerifyByExamRecordDataId(Long examRecordDataId);

    List<ExamFaceLivenessVerifyEntity> findByExamRecordDataId(Long examRecordDataId);
}
