package cn.com.qmth.examcloud.core.oe.student.dao.entity;

import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description 考试过程记录表
 * @Author lideyin
 * @Date 2020/8/13 9:44
 * @Version 1.0
 */
@Entity
@Table(name = "ec_oes_exam_process_record", indexes = {
        @Index(name = "IDX_E_O_E_P_R_001", columnList = "examRecordDataId"),
})
@DynamicInsert
@DynamicUpdate
public class ExamProcessRecordEntity extends WithIdJpaEntity {
    private static final long serialVersionUID = 1559727365523696406L;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 过程名称
     */
    private String processName;

    /**
     * 过程记录时间
     */
    private Date recordTime;

    /**
     * 访问源ip
     */
    private String sourceIp;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public String getSourceIp() {
        return sourceIp;
    }

    public void setSourceIp(String sourceIp) {
        this.sourceIp = sourceIp;
    }
}
