package cn.com.qmth.examcloud.core.oe.student.dao.entity;

import cn.com.qmth.examcloud.core.oe.student.dao.enums.FaceBiopsyType;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

import javax.persistence.*;

/**
 * @Description 人脸活体检测明细
 * @Author lideyin
 * @Date 2019/7/17 16:30
 * @Version 1.0
 */
@Entity
@Table(name = "EC_OES_EXAM_FACE_BIOPSY_ITEM", indexes = {
        @Index(name = "IDX_E_F_B_I_001001", columnList = "examRecordDataId"),
        @Index(name = "IDX_E_F_B_I_001002", columnList = "faceBiopsyId")
})
public class FaceBiopsyItemEntity extends WithIdJpaEntity {

    private static final long serialVersionUID = -8411713406344895994L;
    /**
     * 考试记录id
     */
    @Column(nullable = false)
    private Long examRecordDataId;

    /**
     * 人脸识别结果id
     */
    @Column(nullable = false)
    private Long faceBiopsyId;

    /**
     * 人脸识别类型
     */
    @Column(nullable = false)
    @Enumerated(EnumType.STRING)
    private FaceBiopsyType faceBiopsyType;

    /**
     * 检测是否已完成
     */
    @Column(nullable = false)
    private Boolean completed;

    /**
     * 检测结果
     */
    private Boolean result;
    /**
     * 错误信息
     */
    @Column(length = 500)
    private String errorMsg;

    /**
     * 是否在冻结时间内
     */
    @Column(nullable = false)
    private Boolean inFreezeTime;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getFaceBiopsyId() {
        return faceBiopsyId;
    }

    public void setFaceBiopsyId(Long faceBiopsyId) {
        this.faceBiopsyId = faceBiopsyId;
    }

    public FaceBiopsyType getFaceBiopsyType() {
        return faceBiopsyType;
    }

    public void setFaceBiopsyType(FaceBiopsyType faceBiopsyType) {
        this.faceBiopsyType = faceBiopsyType;
    }

    public Boolean getCompleted() {
        return completed;
    }

    public void setCompleted(Boolean completed) {
        this.completed = completed;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Boolean getInFreezeTime() {
        return inFreezeTime;
    }

    public void setInFreezeTime(Boolean inFreezeTime) {
        this.inFreezeTime = inFreezeTime;
    }
}
