package cn.com.qmth.examcloud.core.oe.student.dao.entity;

import cn.com.qmth.examcloud.core.oe.student.dao.enums.FaceBiopsyAction;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.ResourceType;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;
import javax.persistence.*;

/**
 * @Description 人脸活体检测步骤
 * @Author lideyin
 * @Date 2019/7/17 16:31
 * @Version 1.0
 */
@Entity
@Table(name = "EC_OES_EXAM_FACE_BIOPSY_ITEM_STEP", indexes = {
        @Index(name = "IDX_E_F_B_I_S_001001", columnList = "examRecordDataId"),
        @Index(name = "IDX_E_F_B_I_S_001002", columnList = "faceBiopsyItemId")
})
public class FaceBiopsyItemStepEntity extends WithIdJpaEntity {
    /**
     * 考试记录id
     */
    @Column(nullable = false)
    private Long examRecordDataId;
    /**
     * 人脸活体检测明细id
     */
    @Column(nullable = false)
    private Long faceBiopsyItemId;

    /**
     * 步骤动作
     */
    @Column(nullable = false, length = 20)
    @Enumerated(EnumType.STRING)
    private FaceBiopsyAction action;

    /**
     * 资源文件相对路径
     */
    @Column(length = 200)
    private String resourceRelativePath;
    /**
     * 资源文件类型
     */
    @Column(length = 20)
    @Enumerated(EnumType.STRING)
    private ResourceType resourceType;

    /**
     * 动作时长
     */
    private Integer actionStay;

    /**
     * 检测结果
     */
    private Boolean result;
    /**
     * 错误信息
     */
    @Column(length = 500)
    private String errorMsg;
    /**
     * 扩展属性1
     */
    @Column(length = 2000)
    private String ext1;
    /**
     * 扩展属性2
     */
    @Column(length = 2000)
    private String ext2;
    /**
     * 扩展属性3
     */
    @Column(length = 2000)
    private String ext3;
    /**
     * 扩展属性4
     */
    @Column(length = 2000)
    private String ext4;
    /**
     * 扩展属性5
     */
    @Column(length = 2000)
    private String ext5;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getFaceBiopsyItemId() {
        return faceBiopsyItemId;
    }

    public void setFaceBiopsyItemId(Long faceBiopsyItemId) {
        this.faceBiopsyItemId = faceBiopsyItemId;
    }

    public FaceBiopsyAction getAction() {
        return action;
    }

    public void setAction(FaceBiopsyAction action) {
        this.action = action;
    }

    public String getResourceRelativePath() {
        return resourceRelativePath;
    }

    public void setResourceRelativePath(String resourceRelativePath) {
        this.resourceRelativePath = resourceRelativePath;
    }

    public ResourceType getResourceType() {
        return resourceType;
    }

    public void setResourceType(ResourceType resourceType) {
        this.resourceType = resourceType;
    }

    public Integer getActionStay() {
        return actionStay;
    }

    public void setActionStay(Integer actionStay) {
        this.actionStay = actionStay;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }
}
