package cn.com.qmth.examcloud.core.oe.student.bean;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月25日 上午9:43:19
 * @company 	QMTH
 * @description 考生作答信息 
 */
public class ExamStudentQuestionInfo implements JsonSerializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8080615797817377990L;

	/**
	 * 题目序号
	 */
	private Integer order;
	
	/**
	 * 是否标记
	 */
	private Boolean isSign;
	
	/**
	 * 考生作答
	 */
	private String studentAnswer;
	
	/**
	 * 音频播放次数
	 */
	private String audioPlayTimes;
	/**
	 * 题目作答类型
	 */
	@Enumerated(EnumType.STRING)
	private AnswerType answerType;

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public String getStudentAnswer() {
		return studentAnswer;
	}

	public void setStudentAnswer(String studentAnswer) {
		this.studentAnswer = studentAnswer;
	}

	public Boolean getIsSign() {
		return isSign;
	}

	public void setIsSign(Boolean isSign) {
		this.isSign = isSign;
	}

	public String getAudioPlayTimes() {
		return audioPlayTimes;
	}

	public void setAudioPlayTimes(String audioPlayTimes) {
		this.audioPlayTimes = audioPlayTimes;
	}

	public AnswerType getAnswerType() {
		return answerType;
	}

	public void setAnswerType(AnswerType answerType) {
		this.answerType = answerType;
	}
	
}
