package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.FaceBiopsyAction;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.ResourceType;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;

/**
 * @Description 人脸活体检测步骤
 * @Author lideyin
 * @Date 2019/10/14 11:21
 * @Version 1.0
 */
public class FaceBiopsyStepInfo implements JsonSerializable {
	private static final long serialVersionUID = -2108253508943543996L;

	@ApiModelProperty(value = "步骤id",required = true)
	private Long stepId;

	@ApiModelProperty(value = "具体动作",required = true)
	@Enumerated(EnumType.STRING)
	private FaceBiopsyAction action;

	@ApiModelProperty(value = "动作时长")
	private Integer stay;

	@ApiModelProperty(value = "资源文件路径")
	private String resourceUrl;

	@ApiModelProperty(value = "资源文件类型")
	@Enumerated(EnumType.STRING)
	private ResourceType resourceType;

	@ApiModelProperty(value = "执行结果")
	private Boolean result;

	@ApiModelProperty(value = "指令是否超时")
	private Boolean timeout;

	@ApiModelProperty(value = "是否有陌生人脸即多张人脸")
	private Boolean stranger;

	@ApiModelProperty(value = "是否晃出摄像头")
	private Boolean waggleOutCamera;

	@ApiModelProperty(value = "是否检测到人脸")
	private Boolean hasFace;

	@ApiModelProperty(value = "指令执行结果json串")
	private String resultJson;

	@ApiModelProperty(value = "错误描述")
	private String errorMsg;

	public Long getStepId() {
		return stepId;
	}

	public void setStepId(Long stepId) {
		this.stepId = stepId;
	}

	public FaceBiopsyAction getAction() {
		return action;
	}

	public void setAction(FaceBiopsyAction action) {
		this.action = action;
	}

	public Integer getStay() {
		return stay;
	}

	public void setStay(Integer stay) {
		this.stay = stay;
	}

	public String getResourceUrl() {
		return resourceUrl;
	}

	public void setResourceUrl(String resourceUrl) {
		this.resourceUrl = resourceUrl;
	}

	public ResourceType getResourceType() {
		return resourceType;
	}

	public void setResourceType(ResourceType resourceType) {
		this.resourceType = resourceType;
	}

	public Boolean getResult() {
		return result;
	}

	public void setResult(Boolean result) {
		this.result = result;
	}

	public String getResultJson() {
		return resultJson;
	}

	public void setResultJson(String resultJson) {
		this.resultJson = resultJson;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	public Boolean getTimeout() {
		return timeout;
	}

	public void setTimeout(Boolean timeout) {
		this.timeout = timeout;
	}

	public Boolean getStranger() {
		return stranger;
	}

	public void setStranger(Boolean stranger) {
		this.stranger = stranger;
	}

	public Boolean getWaggleOutCamera() {
		return waggleOutCamera;
	}

	public void setWaggleOutCamera(Boolean waggleOutCamera) {
		this.waggleOutCamera = waggleOutCamera;
	}

	public Boolean getHasFace() {
		return hasFace;
	}

	public void setHasFace(Boolean hasFace) {
		this.hasFace = hasFace;
	}
}
