package cn.com.qmth.examcloud.core.oe.student.bean.client;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 人脸抓拍比对验证结果
 */
public class FaceCaptureResult implements JsonSerializable {

    private static final long serialVersionUID = 3567311334163339241L;

    @ApiModelProperty(value = "学生ID", hidden = true)
    private Long studentId;

    @ApiModelProperty(value = "考试记录ID")
    private Long examRecordDataId;

    @ApiModelProperty(value = "人脸比对是否通过")
    private Boolean pass;

    @ApiModelProperty(value = "是否有陌生人")
    private Boolean stranger;

    @ApiModelProperty(value = "是否存在虚拟摄像头")
    private Boolean hasVirtualCamera;

    @ApiModelProperty(value = "图片地址")
    private String fileUrl;

    @ApiModelProperty(value = "人脸比对结果")
    private String faceCompareResult;

    @ApiModelProperty(value = "人脸活体结果")
    private String facelivenessResult;

    @ApiModelProperty(value = "摄像头信息")
    private String cameraInfos;

    @ApiModelProperty(value = "人脸比对处理耗时（毫秒）")
    private Long processTime;

    @ApiModelProperty(value = "附加信息")
    private String extMsg;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Boolean getPass() {
        return pass;
    }

    public void setPass(Boolean pass) {
        this.pass = pass;
    }

    public Boolean getStranger() {
        return stranger;
    }

    public void setStranger(Boolean stranger) {
        this.stranger = stranger;
    }

    public Boolean getHasVirtualCamera() {
        return hasVirtualCamera;
    }

    public void setHasVirtualCamera(Boolean hasVirtualCamera) {
        this.hasVirtualCamera = hasVirtualCamera;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFaceCompareResult() {
        return faceCompareResult;
    }

    public void setFaceCompareResult(String faceCompareResult) {
        this.faceCompareResult = faceCompareResult;
    }

    public String getFacelivenessResult() {
        return facelivenessResult;
    }

    public void setFacelivenessResult(String facelivenessResult) {
        this.facelivenessResult = facelivenessResult;
    }

    public String getCameraInfos() {
        return cameraInfos;
    }

    public void setCameraInfos(String cameraInfos) {
        this.cameraInfos = cameraInfos;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public String getExtMsg() {
        return extMsg;
    }

    public void setExtMsg(String extMsg) {
        this.extMsg = extMsg;
    }

}
