package cn.com.qmth.examcloud.core.oe.student.bean.client;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.FaceLiveVerifyStatus;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 人脸活体验证结果
 */
public class FaceLiveVerifyResult implements JsonSerializable {

    private static final long serialVersionUID = 3567311334163339241L;

    @ApiModelProperty(value = "学生ID", hidden = true)
    private Long studentId;

    @ApiModelProperty(value = "当前活检记录ID")
    private Long faceLiveVerifyId;

    @ApiModelProperty(value = "考试记录ID")
    private Long examRecordDataId;

    @ApiModelProperty(value = "验证状态")
    private FaceLiveVerifyStatus status;

    @ApiModelProperty(value = "动作验证列表")
    private List<FaceLiveVerifyAction> actions;

    @ApiModelProperty(value = "人脸数量")
    private Integer faceCount;

    @ApiModelProperty(value = "相似度分数")
    private Double similarity;

    @ApiModelProperty(value = "真实性分数")
    private Double realness;

    @ApiModelProperty(value = "处理耗时（毫秒）")
    private Long processTime;

    @ApiModelProperty(value = "错误信息")
    private String errorMsg;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getFaceLiveVerifyId() {
        return faceLiveVerifyId;
    }

    public void setFaceLiveVerifyId(Long faceLiveVerifyId) {
        this.faceLiveVerifyId = faceLiveVerifyId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public FaceLiveVerifyStatus getStatus() {
        return status;
    }

    public void setStatus(FaceLiveVerifyStatus status) {
        this.status = status;
    }

    public List<FaceLiveVerifyAction> getActions() {
        return actions;
    }

    public void setActions(List<FaceLiveVerifyAction> actions) {
        this.actions = actions;
    }

    public Integer getFaceCount() {
        return faceCount;
    }

    public void setFaceCount(Integer faceCount) {
        this.faceCount = faceCount;
    }

    public Double getSimilarity() {
        return similarity;
    }

    public void setSimilarity(Double similarity) {
        this.similarity = similarity;
    }

    public Double getRealness() {
        return realness;
    }

    public void setRealness(Double realness) {
        this.realness = realness;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

}
