package cn.com.qmth.examcloud.core.oe.student.bean.task;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.ExamCaptureQueueStatus;

import java.util.Date;

/**
 * @Description 照片抓拍队列bean
 * @Author lideyin
 * @Date 2019/9/26 14:24
 * @Version 1.0
 */
public class ExamCaptureQueueInfo implements JsonSerializable {

    private static final long serialVersionUID = 4094671807731989565L;

    private Long id;

    private Long studentId;

    /**
     * ec_oe_exam_record_data  ID
     */
    private Long examRecordDataId;


    /**
     * 底照Token
     */
    private String baseFaceToken;

    /**
     * 文件URL
     */
    private String fileUrl;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 状态
     */
    private ExamCaptureQueueStatus status;

    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 错误次数
     */
    private Integer errorNum;

    /**
     * 是否存在虚拟摄像头
     */
    private Boolean hasVirtualCamera;

    /**
     * 摄像头信息  json字符串数组
     */
    private String cameraInfos;

    /**
     * 其他信息
     * Json格式
     * {
     * "":""
     * }
     */
    private String extMsg;

    /**
     * 队列处理批次号(用户判断某一条数据处理状态)
     */
    private String processBatchNum;

    /**
     * 队列处理的优先级,默认值为0
     */
    private int priority = 0;

    /**
     * 是否有陌生人
     * 就是摄像头拍到不止考生一人
     */
    private Boolean isStranger;

    /**
     * 比较是否通过
     */
    private Boolean isPass;

    /**
     * 人脸比较返回信息
     */
    private String faceCompareResult;

    /**
     * 人脸比对开始时间
     */
    private Long faceCompareStartTime;

    /**
     * 百度在线活体检测结果
     */
    private String facelivenessResult;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date creationTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getBaseFaceToken() {
        return baseFaceToken;
    }

    public void setBaseFaceToken(String baseFaceToken) {
        this.baseFaceToken = baseFaceToken;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public ExamCaptureQueueStatus getStatus() {
        return status;
    }

    public void setStatus(ExamCaptureQueueStatus status) {
        this.status = status;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Integer getErrorNum() {
        return errorNum;
    }

    public void setErrorNum(Integer errorNum) {
        this.errorNum = errorNum;
    }

    public Boolean getHasVirtualCamera() {
        return hasVirtualCamera;
    }

    public void setHasVirtualCamera(Boolean hasVirtualCamera) {
        this.hasVirtualCamera = hasVirtualCamera;
    }

    public String getCameraInfos() {
        return cameraInfos;
    }

    public void setCameraInfos(String cameraInfos) {
        this.cameraInfos = cameraInfos;
    }

    public String getExtMsg() {
        return extMsg;
    }

    public void setExtMsg(String extMsg) {
        this.extMsg = extMsg;
    }

    public String getProcessBatchNum() {
        return processBatchNum;
    }

    public void setProcessBatchNum(String processBatchNum) {
        this.processBatchNum = processBatchNum;
    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }

    public Boolean getStranger() {
        return isStranger;
    }

    public void setStranger(Boolean stranger) {
        isStranger = stranger;
    }

    public Boolean getPass() {
        return isPass;
    }

    public void setPass(Boolean pass) {
        isPass = pass;
    }

    public String getFaceCompareResult() {
        return faceCompareResult;
    }

    public void setFaceCompareResult(String faceCompareResult) {
        this.faceCompareResult = faceCompareResult;
    }

    public Long getFaceCompareStartTime() {
        return faceCompareStartTime;
    }

    public void setFaceCompareStartTime(Long faceCompareStartTime) {
        this.faceCompareStartTime = faceCompareStartTime;
    }

    public String getFacelivenessResult() {
        return facelivenessResult;
    }

    public void setFacelivenessResult(String facelivenessResult) {
        this.facelivenessResult = facelivenessResult;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    @Override
    public String toString() {
        return "ExamCaptureQueueInfo [id=" + id + ", studentId=" + studentId + ", examRecordDataId="
                + examRecordDataId + ", fileUrl=" + fileUrl + "]";
    }

}
