package cn.com.qmth.examcloud.core.oe.student.report;

import cn.com.qmth.examcloud.reports.commons.bean.BaseReport;
import cn.com.qmth.examcloud.reports.commons.enums.Tag;
import cn.com.qmth.examcloud.reports.commons.enums.Topic;
import cn.com.qmth.examcloud.support.enums.ExamProcess;

import java.util.Date;

/**
 * @Description 考试过程记录
 * @Author lideyin
 * @Date 2020/8/20 14:21
 * @Version 1.0
 */
public class ExamProcessRecordReport extends BaseReport {

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 考试过程
     */
    private ExamProcess examProcess;

    /**
     * 过程记录时间
     */
    private Date recordTime;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public ExamProcess getExamProcess() {
        return examProcess;
    }

    public void setExamProcess(ExamProcess examProcess) {
        this.examProcess = examProcess;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public ExamProcessRecordReport() {
        super();
    }

    public ExamProcessRecordReport(Long examRecordDataId, ExamProcess examProcess, Date recordTime) {
        this.examRecordDataId = examRecordDataId;
        this.examProcess = examProcess;
        this.recordTime = recordTime;
        this.topic = Topic.REPORT_TOPIC.getCode();
        this.tag = Tag.EXAM_PROCESS_RECORD.getCode();
    }
}
