package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.base.bean.CompareFaceSyncInfo;
import cn.com.qmth.examcloud.core.oe.student.bean.task.CalculateFaceCheckResultInfo;
import cn.com.qmth.examcloud.core.oe.student.bean.task.ExamCaptureQueueInfo;
import cn.com.qmth.examcloud.core.oe.student.dao.entity.ExamCaptureEntity;
import cn.com.qmth.examcloud.support.cache.bean.StudentCacheBean;

/**
 * @Description 照片处理结果
 * @Author lideyin
 * @Date 2019/12/11 14:45
 * @Version 1.0
 */
public interface ExamCaptureService {

    void saveExamCaptureAndDeleteQueue(ExamCaptureQueueInfo examCaptureQueue);

    /**
     * 同步比较人脸:用于进入考试
     *
     * @param studentId     学生ID
     * @param baseFaceToken 学生底照faceToken
     * @param fileUrl       抓拍照片Url
     * @return
     */
    @Deprecated
    CompareFaceSyncInfo compareFaceSyncByFileUrl(Long studentId, String baseFaceToken, String fileUrl);

    CompareFaceSyncInfo compareFaceSync(StudentCacheBean student, String fileUrl);

    /**
     * 获取考试抓拍结果
     *
     * @param examRecordDataId
     * @param fileName
     * @return
     */
    ExamCaptureEntity getExamCaptureResult(Long examRecordDataId, String fileName);

    /**
     * 计算人脸检测结果
     *
     * @param examRecordDataId
     * @return
     */
    CalculateFaceCheckResultInfo calculateFaceCheckResult(Long examRecordDataId);

    /**
     * 更新考试抓拍照片在队列优中的先级
     *
     * @param priority         优先级
     * @param examRecordDataId
     */
    void updateExamCaptureQueuePriority(Long examRecordDataId, int priority);

}
