package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.api.request.*;
import cn.com.qmth.examcloud.core.oe.student.api.response.CalcExamScoreResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.CalcFaceBiopsyResultResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.CheckPaperInExamResp;
import cn.com.qmth.examcloud.core.oe.student.bean.client.CourseInfo;
import cn.com.qmth.examcloud.support.cache.bean.CourseCacheBean;
import cn.com.qmth.examcloud.support.cache.bean.ExamSettingsCacheBean;
import cn.com.qmth.examcloud.support.examing.ExamRecordData;
import cn.com.qmth.examcloud.support.examing.ExamingSession;

import java.util.List;

/**
 * @author chenken
 * @date 2018/8/15 11:16
 * @company QMTH
 * @description 考试记录数据服务接口
 */
public interface ExamRecordDataService {

    /**
     * @param examingSession
     * @param examBean
     * @param courseBean
     * @param basePaperId
     * @param isFullyObjective
     * @return
     */
    ExamRecordData createExamRecordData(ExamingSession examingSession, ExamSettingsCacheBean examBean,
                                        CourseCacheBean courseBean, String basePaperId, boolean isFullyObjective,
                                        Long examStageId, Integer examStageOrder);

    /**
     * @param examRecordDataId
     * @param data
     */
    void saveExamRecordDataCache(Long examRecordDataId, ExamRecordData data);

    /**
     * 获取
     *
     * @param examRecordDataId
     * @return
     */
    ExamRecordData getExamRecordDataCache(Long examRecordDataId);

    /**
     * 删除
     *
     * @param examRecordDataId
     */
    void deleteExamRecordDataCache(Long examRecordDataId);

    List<Long> getExamRecordDataIds(GetExamRecordDataIdsReq req);

    void updateExamRecordDataBatchNum(UpdateExamRecordDataBatchNumReq req);

    void updateExamRecordStatus(UpdateExamRecordStatusReq req);

    /**
     * 计算活体检测结果
     *
     * @param req
     * @return
     */
    CalcFaceBiopsyResultResp calcFaceBiopsyResult(CalcFaceBiopsyResultReq req);

    CalcExamScoreResp calcExamScore(CalcExamScoreReq req);

    /**
     * 更新部分考试记录数据
     *
     * @param req
     */
    void updatePartialExamRecord(UpdatePartialExamRecordReq req);

    CourseInfo getCourseInfo(Long examRecordDataId);

    CheckPaperInExamResp checkPaperInExam(CheckPaperInExamReq req);

}
