package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordQuestionsReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordQuestionsResp;
import cn.com.qmth.examcloud.core.oe.student.bean.ExamStudentQuestionAnswerInfo;
import cn.com.qmth.examcloud.core.oe.student.bean.ExamStudentQuestionInfo;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;
import cn.com.qmth.examcloud.support.examing.ExamQuestion;
import cn.com.qmth.examcloud.support.examing.ExamRecordQuestions;

import java.util.List;

/**
 * @author chenken
 */
public interface ExamRecordQuestionsService {

    /**
     * 保存
     */
    void saveExamQuestion(Long examRecordDataId, Integer order, ExamQuestion questions);

    /**
     * 获取
     */
    ExamQuestion getExamQuestion(Long examRecordDataId, Integer order);

    /**
     * 删除
     */
    void deleteExamQuestion(Long examRecordDataId, Integer order);

    ExamRecordQuestions createExamRecordQuestions(Long examRecordDataId, DefaultPaper defaultPaper);

    List<ExamQuestion> findExamQuestionList(Long studentId);

    ExamRecordQuestions getExamRecordQuestions(Long examRecordDataId);

    String getQuestionContent(Long studentId, String questionId);

    String getQuestionContentForClient(Long studentId, String questionId);

    void submitQuestionAnswer(Long studentId, List<ExamStudentQuestionInfo> examQuestionInfos, String referer, String agent, String ip);

    /**
     * 考生作答（新）
     * 注：需要加、解密
     */
    void submitQuestionAnswerWithCrypto(ExamStudentQuestionAnswerInfo data, User user, String referer, String agent, String timestampStr, String ip);

    GetExamRecordQuestionsResp getExamRecordQuestions(GetExamRecordQuestionsReq req);

}
